Subject: complaint calls
From: "Mike" <[email-masked]>
To: "Josh Bridges" <[email-masked]>
Date: Fri, 4 Jan 2008 16:48:25 -0500

Josh,
I got a couple more complaint calls today.
The first is from a customer that stated they are the only English speaking person at the business and they are an 17 year old boy.  They said they never approved a sale.  Their company is: 

CHINA ONE EVERGREEN 
20160 W 7 MILE RD
DETROIT, MI 48219-3472
313-538-3333

Also, another customer called stating they were told they had to purchase our posters.  I didn't see an recent order in the system so they may have just been mad about what was said.  Their info:

CLIPS & BOWS 
445 N LYNN RIGGS BLVD
CLAREMORE, OK 74017-5617
918-341-6768

I would like to know what went down on these calls as well.  If you can get a recording, that would be helpful.
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]